package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FIELD_SENSITIVE_MEMORY"
)
public class TCoreFieldSensitiveMemory implements Serializable {
   private static final long serialVersionUID = 1L;
   @Id
   private String id;
   private String flag;
   @Column(
      length = 2000
   )
   private String note;
   private String discovertype;
   private String datasourceid;
   private String datasourcename;
   private String tschema;
   private String tablename;
   private String columnname;
   private String sampling;
   private String etsampling;
   private String mate;
   private String materatio;
   private String regextype;
   private String ruleid;
   private String ruie;
   private Date updatetime;
   private Date createtime;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getDiscovertype() {
      return this.discovertype;
   }

   public void setDiscovertype(String discovertype) {
      this.discovertype = discovertype;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getSampling() {
      return this.sampling;
   }

   public void setSampling(String sampling) {
      this.sampling = sampling;
   }

   public String getEtsampling() {
      return this.etsampling;
   }

   public void setEtsampling(String etsampling) {
      this.etsampling = etsampling;
   }

   public String getMate() {
      return this.mate;
   }

   public void setMate(String mate) {
      this.mate = mate;
   }

   public String getMateratio() {
      return this.materatio;
   }

   public void setMateratio(String materatio) {
      this.materatio = materatio;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRuie() {
      return this.ruie;
   }

   public void setRuie(String ruie) {
      this.ruie = ruie;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String toString() {
      return "TCoreFieldSensitiveMemory [discovertype=" + this.discovertype + ", datasourceid=" + this.datasourceid + ", datasourcename=" + this.datasourcename + ", tschema=" + this.tschema + ", tablename=" + this.tablename + ", columnname=" + this.columnname + ", sampling=" + this.sampling + ", etsampling=" + this.etsampling + ", mate=" + this.mate + ", materatio=" + this.materatio + ", regextype=" + this.regextype + ", ruleid=" + this.ruleid + ", ruie=" + this.ruie + ", updatetime=" + this.updatetime + ", createtime=" + this.createtime + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.datasourceid == null ? 0 : this.datasourceid.hashCode());
      result = 31 * result + (this.datasourcename == null ? 0 : this.datasourcename.hashCode());
      result = 31 * result + (this.discovertype == null ? 0 : this.discovertype.hashCode());
      result = 31 * result + (this.etsampling == null ? 0 : this.etsampling.hashCode());
      result = 31 * result + (this.mate == null ? 0 : this.mate.hashCode());
      result = 31 * result + (this.materatio == null ? 0 : this.materatio.hashCode());
      result = 31 * result + (this.regextype == null ? 0 : this.regextype.hashCode());
      result = 31 * result + (this.ruie == null ? 0 : this.ruie.hashCode());
      result = 31 * result + (this.ruleid == null ? 0 : this.ruleid.hashCode());
      result = 31 * result + (this.sampling == null ? 0 : this.sampling.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      result = 31 * result + (this.tschema == null ? 0 : this.tschema.hashCode());
      result = 31 * result + (this.updatetime == null ? 0 : this.updatetime.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreFieldSensitiveMemory other = (TCoreFieldSensitiveMemory)obj;
         if (this.columnname == null) {
            if (other.columnname != null) {
               return false;
            }
         } else if (!this.columnname.equals(other.columnname)) {
            return false;
         }

         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.datasourceid == null) {
            if (other.datasourceid != null) {
               return false;
            }
         } else if (!this.datasourceid.equals(other.datasourceid)) {
            return false;
         }

         if (this.datasourcename == null) {
            if (other.datasourcename != null) {
               return false;
            }
         } else if (!this.datasourcename.equals(other.datasourcename)) {
            return false;
         }

         if (this.discovertype == null) {
            if (other.discovertype != null) {
               return false;
            }
         } else if (!this.discovertype.equals(other.discovertype)) {
            return false;
         }

         if (this.etsampling == null) {
            if (other.etsampling != null) {
               return false;
            }
         } else if (!this.etsampling.equals(other.etsampling)) {
            return false;
         }

         if (this.mate == null) {
            if (other.mate != null) {
               return false;
            }
         } else if (!this.mate.equals(other.mate)) {
            return false;
         }

         if (this.materatio == null) {
            if (other.materatio != null) {
               return false;
            }
         } else if (!this.materatio.equals(other.materatio)) {
            return false;
         }

         if (this.regextype == null) {
            if (other.regextype != null) {
               return false;
            }
         } else if (!this.regextype.equals(other.regextype)) {
            return false;
         }

         if (this.ruie == null) {
            if (other.ruie != null) {
               return false;
            }
         } else if (!this.ruie.equals(other.ruie)) {
            return false;
         }

         if (this.ruleid == null) {
            if (other.ruleid != null) {
               return false;
            }
         } else if (!this.ruleid.equals(other.ruleid)) {
            return false;
         }

         if (this.sampling == null) {
            if (other.sampling != null) {
               return false;
            }
         } else if (!this.sampling.equals(other.sampling)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         if (this.tschema == null) {
            if (other.tschema != null) {
               return false;
            }
         } else if (!this.tschema.equals(other.tschema)) {
            return false;
         }

         if (this.updatetime == null) {
            if (other.updatetime != null) {
               return false;
            }
         } else if (!this.updatetime.equals(other.updatetime)) {
            return false;
         }

         return true;
      }
   }
}
